import request from '@/utils/request'

// 查询多井钻头能效分析方案信息列表
export function listDjzt(query) {
  return request({
    url: '/system/djztnxfx/list',
    method: 'get',
    params: query
  })
}

// 查询多井钻头能效分析方案信息详细
export function getDjzt(id) {
  return request({
    url: '/system/djztnxfx/' + id,
    method: 'get'
  })
}

// 新增多井钻头能效分析方案信息
export function addDjzt(data) {
  return request({
    url: '/system/djztnxfx',
    method: 'post',
    data: data
  })
}

// 修改多井钻头能效分析方案信息
export function updateDjzt(data) {
  return request({
    url: '/system/djztnxfx',
    method: 'put',
    data: data
  })
}

// 删除多井钻头能效分析方案信息
export function delDjzt(id) {
  return request({
    url: '/system/djztnxfx/' + id,
    method: 'delete'
  })
}

// 查询钻头尺寸下拉框
export function selectZtccList(query) {
  return request({
    url: "/system/jshaPdc/selectZtccList",
    method: "get",
    params: query,
  });
}

